Endpoint Examples

/accounts

List of current available accounts, by ID.

GET /accounts

Get a list of currently available accounts by ID.

Query Parameters

NameTypeDescription
filterstringFilter on any of the account fields.
This parameter is optional.
Example: account: abc123,taxonomies: {lot:6 soc:soc5}
limitintegerSpecify page limit.
This parameter is optional.
Example: 1
pageintegerSpecify pagination number.
This parameter is optional.
Example: 1

Code Examples

curl --request GET \
     --url https://api.lightcast.io/alumni-pathways/accounts \
     --header 'accept: application/json' \
     --header 'authorization: "Bearer <ACCESS_TOKEN>"

Response Examples

{
  "data": {
    "limit": 10,
    "page": 1,
    "pages_available": 1,
    "accounts": [
      {
        "id": "334336",
        "name": "Test Account Name",
        "description": "This is my account",
        "active": true,
        "active_dataset_id": "dataset123",
        "dataset_count": 2,
        "creation_date": "2024-01-13T15:32:16Z",
        "custom_key": "customValue"
      }
    ]
  }
}
{
  "errors": [
    {
      "status": 400,
      "title": "Bad request",
      "detail": "Unknown occupation 1234 for dimension lotocc"
    }
  ]
}